#ifndef BISON_Y_TAB_H
# define BISON_Y_TAB_H

#ifndef YYSTYPE
typedef union 
{
  int number;                /* integers */
  char character;            /* characters */
  struct symrec *ident;      /* identifiers */
  struct symrec *keyword;    /* keywords */

  struct expr *		texpr;
  struct infix *	tinfix;
  struct list *		tlist;
  char *                tstr;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	NUM	257
# define	CHAR	258
# define	IDENT	259
# define	KEYWORD	260
# define	LPAREN	261
# define	RPAREN	262
# define	COMMA	263
# define	DQUOTE	264
# define	SQUOTE	265
# define	END_OF_FILE	266


extern YYSTYPE yylval;

#endif /* not BISON_Y_TAB_H */
