/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: scopes.h,v 1.1.1.1 1999/07/15 18:47:35 bardslea Exp $

    
	Symbol table handling

	11 Jun 1999, AMULET Group
*/

#include "parser_structs.h"
#include "symtab.h"

extern int currentscopelevel;

void check_existing_current ( struct expr * proto );

void openscope(void);

void closescope(void);

void addscope ( struct expr * decl );

void addlibscopeitems ( struct expr * libdecl );

void recordlibscope ( struct expr * libdecl );

struct expr * lookup1 ( struct symrec * ident );

struct looknrec
{
  struct scope * scope;
  struct scopeitems * scopeitems;
};

void init_looknrec ( struct looknrec * lnr );

struct expr * lookupn ( struct looknrec * lnr,
                        struct symrec * ident );
