/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: basic.h,v 1.1.1.1 1999/07/15 18:47:38 bardslea Exp $


	Simple bytecode interpretation

	11 Jun 1999, AMULET Group
*/

#ifndef __basic__
#define __basic__

void f_SETN ( int dest_reg, int src_val );

void f_SETSYM ( int dest_reg, int src_val );

void f_SETSYM_D ( int dest_reg, int src_val );

void f_EQS ( char * str );

void f_SETC ( int dest_reg, int src_val );

void f_SETR ( int dest_reg, int src_reg );

void f_ADD ( int dest_reg, int src_reg );

void f_SUB ( int dest_reg, int src_reg );

void f_RSB ( int dest_reg, int src_reg );

void f_MUL ( int dest_reg, int src_reg );

void f_DIV ( int dest_reg, int src_reg );

void f_MOD ( int dest_reg, int src_reg );

void f_NOT ( int reg );

void f_AND ( int dest_reg, int src_reg );

void f_OR ( int dest_reg, int src_reg );

void f_XOR ( int dest_reg, int src_reg );

void f_SHL ( int dest_reg, int src_reg );

void f_SHR ( int dest_reg, int src_reg );

void f_INC ( int reg );

void f_DEC ( int reg );

void f_INC4 ( int reg );

void f_DEC4 ( int reg );

void f_CMPEQ ( int dest_reg, int src_reg_1, int src_reg_2 );

void f_CMPNEQ ( int dest_reg, int src_reg_1, int src_reg_2 );

void f_CMPLT ( int dest_reg, int src_reg_1, int src_reg_2 );

void f_CMPLTEQ ( int dest_reg, int src_reg_1, int src_reg_2 );

void f_CMPGT ( int dest_reg, int src_reg_1, int src_reg_2 );

void f_CMPGTEQ ( int dest_reg, int src_reg_1, int src_reg_2 );

void f_SETNNZ ( int cond_reg, int dest_reg, int src_val );

void f_SETSYMNZ ( int cond_reg, int dest_reg, int src_val );

void f_END ( void );

void f_NOP ( void );






#endif
