/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: io.h,v 1.2 2000/02/28 00:45:30 bardslea Exp $

    
	Lard I/O handling

	11 Jun 1999, AMULET Group
*/

#ifndef IO_HEADER
#define IO_HEADER

#include <stdio.h>

#include <simple.h>

extern char * stdin_line;

extern void output ( FILE * file, char * str );

extern bool redo_input;

extern void l_stdin ( void );

extern void l_stdout ( void );

extern void l_stderr ( void );

extern void openin ( void );

extern void openout ( void );

extern void fsetunbuffered ( void );

extern void openinout ( void );

extern void l_close ( void );

extern void fprintint ( void );

extern void fprintstr ( void );

extern void fprintchar ( void );

extern void freadint ( void );

extern void freadstr ( void );

extern void freadchar ( void );

extern void teof ( void );

extern void beof ( void );

extern void setdefinpbase ( void );

extern void l_fputc ( void );

extern void l_fgetc ( void );

extern void l_fwrite ( void );

extern void l_fread ( void );

extern void l_fseek ( void );

extern void l_ftell ( void );

extern void l_flen ( void );

extern void l_ftrunc ( void );

#endif
