/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: linenos.h,v 1.4 2000/12/04 16:42:58 bardslea Exp $

    
	Line number handling

	11 Jun 1999, AMULET Group
*/

extern int current_linenum;
extern int current_fileref;
extern char *current_filename;

extern bool steppoint_break;


void f_FILEREF ( int filesym, char * filename );

void f_LINE ( int filesym, int linenum );

void f_STEPPOINT ( void );

char *lardpos (void);
void lardpos_builtin (void);
