/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: tcl_if.h,v 1.1.1.1 1999/07/15 18:47:37 bardslea Exp $


	Tcl/interpreter interface

	11 Jun 1999, AMULET Group
*/

#include <tcl.h>

void export_var ( void );

void update_export_var ( void );

void tcl_cmd ( char * cmd );

void tcl_cmd_builtin ( void );

void tcl_cmd_noerr ( char * cmd );

void tcl_cmd_noerr_builtin ( void );

void tcl_cmd_int_builtin ( void );

void tcl_cmd_str_builtin ( void );

void create_commands ( Tcl_Interp * interp );


