/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: apasprintf.h,v 1.1.1.1 1999/07/15 18:47:29 bardslea Exp $


	Portable printf variants

	11 Jun 1999, AMULET Group
*/

#include <stdarg.h>
#include "../config.h"

extern void apasprintf (char **PTR, const char *TEMPLATE, ...);

#ifndef HAVE_SNPRINTF

int snprintf ( char * s, int n, char * fmt, ...);
int vsnprintf ( char * s, const int n, const char * fmt, va_list ap );

#endif
