#    The Language for Asynchronous Research and Development -- LARD
#    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
#        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	$Id: wintclprof.tcl,v 1.2 2000/03/24 17:06:47 bardslea Exp $
#
#
#   Wintclprof module
#
#	11 Jun 1999, AMULET Group

# enable/disable tcl profiling

li_require windows

global main_menubar

$main_menubar.session.menu insert 0 cascade -label "tcl Profiling" \
    -menu $main_menubar.session.menu.profiling
menu $main_menubar.session.menu.profiling
$main_menubar.session.menu.profiling add command -label "On" \
    -command "profile_on"
$main_menubar.session.menu.profiling add command -label "Off" \
    -command "profile_off"

proc profile_on {} {
    profile -commands on
}


proc profile_off {} {
    profile off profdat
    profrep profdat cpu profile.out
}

