#ifndef BISON_PARSER_H
# define BISON_PARSER_H

#ifndef YYSTYPE
typedef union 
{
  int number;             /* integers */
  int symbol;             /* symbols */
  char * string;          /* strings */
  char character;         /* characters */
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	NUM	257
# define	BUILTIN	258
# define	REG	259
# define	STK	260
# define	SYM	261
# define	CHAR_I	262
# define	LABELDEF	263
# define	DQUOTE	264
# define	SQUOTE	265
# define	END_OF_FILE	266
# define	KWEQN	267
# define	KWEQS	268
# define	KWALLOC	269
# define	KWFREE	270
# define	KWPUSH	271
# define	KWPOP	272
# define	KWPOPFORGET	273
# define	KWLOAD	274
# define	KWSTORE	275
# define	KWSETN	276
# define	KWSETSYM	277
# define	KWSETSYM_D	278
# define	KWSETC	279
# define	KWSETR	280
# define	KWADD	281
# define	KWSUB	282
# define	KWRSB	283
# define	KWMUL	284
# define	KWDIV	285
# define	KWMOD	286
# define	KWNOT	287
# define	KWAND	288
# define	KWOR	289
# define	KWXOR	290
# define	KWSHL	291
# define	KWSHR	292
# define	KWINC	293
# define	KWDEC	294
# define	KWINC4	295
# define	KWDEC4	296
# define	KWCMPEQ	297
# define	KWCMPNEQ	298
# define	KWCMPLT	299
# define	KWCMPLTEQ	300
# define	KWCMPGT	301
# define	KWCMPGTEQ	302
# define	KWSETNNZ	303
# define	KWSETSYMNZ	304
# define	KWNOP	305
# define	KWBUILTIN	306
# define	KWEND	307
# define	KWFORK	308
# define	KWDIE	309
# define	KWYIELD	310
# define	KWSETPRI	311
# define	KWSETMYPRI	312
# define	KWRUNCHECK	313
# define	KWLINE	314
# define	KWFILEREF	315
# define	KWSTEPPOINT	316
# define	KWGETTIME	317


extern YYSTYPE yylval;

#endif /* not BISON_PARSER_H */
