/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: reloc.c,v 1.2 2001/06/18 14:36:48 bardslea Exp $

	
    Relocation in Lard assembler

	11 Jun 1999, AMULET Group
*/

#include <string.h>
#include <alloc.h>
#include <error.h>

int relocsectsize;
char * relocsect;

void addreloc ( int addr, char * sym_name )
{
  int slen;
  int i;

  slen=(strlen(sym_name)+4)&~3;
  relocsect=prealloc(relocsect,relocsectsize+4+slen);
  *((int *)(relocsect+relocsectsize))=addr;
  strcpy(relocsect+relocsectsize+4,sym_name);
  relocsectsize=relocsectsize+4+slen;
  for(i=-4;((*(relocsect+relocsectsize+i))!='\0') && (i<0);i++);
  for(;i<0;i++) {(*(relocsect+relocsectsize+i))='\0';}
}
