/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: codegen.h,v 1.1.1.1 1999/07/15 18:47:32 bardslea Exp $


	Icode code generation

	11 Jun 1999, AMULET Group
*/

#include "parser_structs.h"
#include <stdio.h>


void init_codegen (void);

void codegen_top_expr ( struct expr * expr );
     
extern struct expr * class_decl;     
extern struct expr * val_class;
extern struct expr * var_class;
extern struct expr * expr_class;
extern struct expr * varargs_class;
extern struct expr * overloaded_class;
struct expr * readdecl;
struct expr * evaldecl;
struct expr * mkexprdecl;

extern int top_localnum;

extern bool add_plump;

extern bool add_prof;

extern int infilenum;

extern bool gen_dcode;

extern FILE * dcode_file;

extern int dcode_term_nulls;
