/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: builtin.c,v 1.4 2002/10/24 12:40:10 janinl Exp $


	Builtin functions wrapper

	11 Jun 1999, AMULET Group
*/

#include "lierror.h"
#include "../bytecode/bytecode.h"
#include "io.h"
#include "misc.h"
#include "lard_time.h"
#include "threads.h"
#include "tcl_if.h"
#include "stringops.h"
#include "sparray.h"
#include "mpint.h"
#include "format.h"
#include "i2s.h"
#include "linenos.h"
#include "cosimulation.h"


void f_BUILTIN ( int builtin_code )
{
  switch(builtin_code) {
#include "builtins_body"
  default:
      li_fatal("Illegal builtin %d",builtin_code);
  }
}
