/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: load_link.c,v 1.3 2000/10/23 11:00:14 bardslea Exp $


	Code sector loading

	11 Jun 1999, AMULET Group
*/
#include <stdio.h>
#include <unistd.h>

#include <simple.h>
#include <alloc.h>
#include <lard_link.h>

#include "../bytecode/bytecode.h"
#include "lierror.h"
#include "symbols.h"
#include "start.h"
#include "../config.h"

int * code;
int codesz;

bool load_link ( char * fn )
{
	lard_link_load_file (fn);
	code=(int *)lard_codesect;
	codesz=lard_codesectsize/4;
	return TRUE;
}
