/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: profile.c,v 1.1.1.1 1999/07/15 18:47:39 bardslea Exp $


	Profiling debugging

	11 Jun 1999, AMULET Group
*/

#include <string.h>
#include <stdio.h>

#include <simple.h>
#include <alloc.h>

#include "load_link.h"
#include "symbols.h"
#include "debug.h"

bool do_profile=FALSE;

int * cprof;

int instrs=0;

void init_profile(void)
{
  cprof=palloc(sizeof(int)*codesz);
  memset(cprof,0,sizeof(int)*codesz);
  do_profile=TRUE;
}


void print_profile(void)
{
  FILE * pf;

  fprintf(stderr,"Total instructions executed : %9d\n",instrs);
  pf=fopen("profile.out","w");
  print_profile_i(pf);
  
  do_profile=FALSE;
  free(cprof);
}


