/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: threads.h,v 1.1.1.1 1999/07/15 18:47:39 bardslea Exp $


	Thread management

	11 Jun 1999, AMULET Group
*/

#ifndef __threads__
#define __threads__

#define PRI_SUSP (0)
#define PRI_DEMWAIT (1)
#define PRI_TIMEADV (2)
#define PRI_WAIT (3)
#define PRI_RUN (4)

extern int current_tid;

void init_threads ( void );

void f_FORK ( int tid_reg );

void f_DIE ( void );

void f_YIELD ( void );

void f_SETMYPRI ( int pri_reg );

void f_SETPRI ( int tid_reg, int pri_reg );

void f_RUNCHECK ( int tid_reg, int dest_reg );

void setpriority ( int tid, int pri );

void promote_waits ( void );

void f_GETTIME ( int reg );

#endif
