/*
    The Language for Asynchronous Research and Development -- LARD
    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	$Id: alloc.c,v 1.3 2000/10/23 11:00:19 bardslea Exp $

	
	Memory management
	
	11 Jun 1999, AMULET Group
*/

#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include "error.h"

void * palloc(size_t n)
{
  void * p;

   /* p=malloc(n); */
  p = calloc (n, 1);

  if (!p)
    {
      veryfatal("malloc failed\n");
      return NULL;
    }
  return(p);
}

void * prealloc( void * p, size_t n )
{
  p=realloc(p,n);
  if (!p)
    {
      veryfatal("realloc failed\n");
      return NULL;
    }
  return(p);
}
