#    The Language for Asynchronous Research and Development -- LARD
#    Copyright (C) 1996-1999 AMULET Group, Department of Computer Science
#        The University of Manchester, Oxford Road, Manchester, UK, M13 9PL
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#	$Id: bci.tcl,v 1.1.1.1 1999/07/15 18:47:50 bardslea Exp $
#
#
#   bci module
#   many bci_ commands and variables are defined in C code.
#
#	11 Jun 1999, AMULET Group

li_startup_module bci

trace variable bci_filename w bci_basename_update

proc bci_basename_update {name1 name2 op} {
    global bci_filename
    global bci_basename

    set lastpos [string last ".bcode" $bci_filename]
    if {$lastpos!=-1} {
	set bci_basename [crange $bci_filename 0 [expr $lastpos-1]]
    } else {
	set bci_basename {}
    }
}

proc bci_run {} {

    while 1 {
	bci_exec -1
    }
}

proc bci_reload {} {
    global bci_filename

    bci_load $bci_filename
}



